gnome-mag: POA_GNOME_Magnifier_ZoomRegion__epv Struct Reference

# POA_GNOME_Magnifier_ZoomRegion__epv Struct Reference

`#include <GNOME_Magnifier.h>`

## Data Fields
void * | _private
CORBA_boolean(* | setMagFactor )(PortableServer_Servant _servant, const CORBA_float magX, const CORBA_float magY, CORBA_Environment *ev)
void(* | getMagFactor )(PortableServer_Servant _servant, CORBA_float *magX, CORBA_float *magY, CORBA_Environment *ev)
Bonobo_PropertyBag(* | getProperties )(PortableServer_Servant _servant, CORBA_Environment *ev)
void(* | setROI )(PortableServer_Servant _servant, const GNOME_Magnifier_RectBounds *bounds, CORBA_Environment *ev)
void(* | updatePointer )(PortableServer_Servant _servant, CORBA_Environment *ev)
void(* | markDirty )(PortableServer_Servant _servant, const GNOME_Magnifier_RectBounds *dirtyRegion, CORBA_Environment *ev)
GNOME_Magnifier_RectBounds(* | getROI )(PortableServer_Servant _servant, CORBA_Environment *ev)
void(* | moveResize )(PortableServer_Servant _servant, const GNOME_Magnifier_RectBounds *bounds, CORBA_Environment *ev)
void(* | dispose )(PortableServer_Servant _servant, CORBA_Environment *ev)
void(* | setPointerPos )(PortableServer_Servant _servant, const CORBA_long mouse_x, const CORBA_long mouse_y, CORBA_Environment *ev)
void(* | setContrast )(PortableServer_Servant _servant, const CORBA_float R, const CORBA_float G, const CORBA_float B, CORBA_Environment *ev)
void(* | getContrast )(PortableServer_Servant _servant, CORBA_float *R, CORBA_float *G, CORBA_float *B, CORBA_Environment *ev)
void(* | setBrightness )(PortableServer_Servant _servant, const CORBA_float R, const CORBA_float G, const CORBA_float B, CORBA_Environment *ev)
void(* | getBrightness )(PortableServer_Servant _servant, CORBA_float *R, CORBA_float *G, CORBA_float *B, CORBA_Environment *ev)

## Detailed Description

Definition at line 1088 of file GNOME_Magnifier.h.

## Field Documentation

void* POA_GNOME_Magnifier_ZoomRegion__epv::_private

Definition at line 1089 of file GNOME_Magnifier.h.

CORBA_boolean(* POA_GNOME_Magnifier_ZoomRegion__epv::setMagFactor)(PortableServer_Servant _servant, const CORBA_float magX, const CORBA_float magY, CORBA_Environment *ev)

Referenced by zoom_region_class_init().

void(* POA_GNOME_Magnifier_ZoomRegion__epv::getMagFactor)(PortableServer_Servant _servant, CORBA_float *magX, CORBA_float *magY, CORBA_Environment *ev)

Referenced by get_skel_small_GNOME_Magnifier_ZoomRegion(), and zoom_region_class_init().

Bonobo_PropertyBag(* POA_GNOME_Magnifier_ZoomRegion__epv::getProperties)(PortableServer_Servant _servant, CORBA_Environment *ev)

Referenced by get_skel_small_GNOME_Magnifier_ZoomRegion(), and zoom_region_class_init().

void(* POA_GNOME_Magnifier_ZoomRegion__epv::setROI)(PortableServer_Servant _servant, const GNOME_Magnifier_RectBounds *bounds, CORBA_Environment *ev)

Referenced by zoom_region_class_init().

void(* POA_GNOME_Magnifier_ZoomRegion__epv::updatePointer)(PortableServer_Servant _servant, CORBA_Environment *ev)

Referenced by zoom_region_class_init().

void(* POA_GNOME_Magnifier_ZoomRegion__epv::markDirty)(PortableServer_Servant _servant, const GNOME_Magnifier_RectBounds *dirtyRegion, CORBA_Environment *ev)

Referenced by zoom_region_class_init().

GNOME_Magnifier_RectBounds(* POA_GNOME_Magnifier_ZoomRegion__epv::getROI)(PortableServer_Servant _servant, CORBA_Environment *ev)

Referenced by zoom_region_class_init().

void(* POA_GNOME_Magnifier_ZoomRegion__epv::moveResize)(PortableServer_Servant _servant, const GNOME_Magnifier_RectBounds *bounds, CORBA_Environment *ev)

Referenced by zoom_region_class_init().

void(* POA_GNOME_Magnifier_ZoomRegion__epv::dispose)(PortableServer_Servant _servant, CORBA_Environment *ev)

Referenced by get_skel_small_GNOME_Magnifier_ZoomRegion(), and zoom_region_class_init().

void(* POA_GNOME_Magnifier_ZoomRegion__epv::setPointerPos)(PortableServer_Servant _servant, const CORBA_long mouse_x, const CORBA_long mouse_y, CORBA_Environment *ev)

Referenced by zoom_region_class_init().

void(* POA_GNOME_Magnifier_ZoomRegion__epv::setContrast)(PortableServer_Servant _servant, const CORBA_float R, const CORBA_float G, const CORBA_float B, CORBA_Environment *ev)

Referenced by zoom_region_class_init().

void(* POA_GNOME_Magnifier_ZoomRegion__epv::getContrast)(PortableServer_Servant _servant, CORBA_float *R, CORBA_float *G, CORBA_float *B, CORBA_Environment *ev)

Referenced by get_skel_small_GNOME_Magnifier_ZoomRegion(), and zoom_region_class_init().

void(* POA_GNOME_Magnifier_ZoomRegion__epv::setBrightness)(PortableServer_Servant _servant, const CORBA_float R, const CORBA_float G, const CORBA_float B, CORBA_Environment *ev)

Referenced by zoom_region_class_init().

void(* POA_GNOME_Magnifier_ZoomRegion__epv::getBrightness)(PortableServer_Servant _servant, CORBA_float *R, CORBA_float *G, CORBA_float *B, CORBA_Environment *ev)

Referenced by get_skel_small_GNOME_Magnifier_ZoomRegion(), and zoom_region_class_init().

The documentation for this struct was generated from the following file:

- GNOME_Magnifier.h